Subject: [PATCH v2] Input: Make ADS7846 independent on regulator

From: [email-masked] (Marek Vasut)
Date: Thu, 9 Sep 2010 10:27:17 +0200

Dne ?t 7. z??? 2010 14:53:35 Mark Brown napsal(a):
> On Tue, Sep 07, 2010 at 03:23:15PM +0300, Igor Grinberg wrote:
> >  Seems that there are some more platforms then Sharp Zaurus
> > 
> > are interested in this patch.
> > 
> > Dmitry, Mike, Pavel,
> > 
> > What's the status of it?
> 
> From a regulator API usage point of view a separate implementation of
> the same thing was nacked - there are regulator API facilties for hiding
> missing regulators from drivers when needed to get systems going, unless
> the device genuinely can cope without supplies it should be relying on
> those.

Maybe these platforms should have been fixed prior to applying the patch adding 
regulator goo into ads7846 driver then. What's the way to go now then ?

Thanks, Cheers